%define major 6
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: PSION 5(MX) file format data conversion utilities
Name: psiconv
Version: 0.9.9
Release: %mkrel 6
Source0: https://www.frodo.looijaard.name/system/files/software/psiconv/%{name}-%{version}.tar.gz
License: GPL
Group: File tools
Url: https://software.frodo.looijaard.name/psiconv/
BuildRequires: imagemagick-devel
BuildRequires: bc
Patch0: psiconv-0.9.8-gcc10.patch

%description
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

%package -n %libname
Group: System/Libraries
Summary: PSION 5(MX) file format data conversion library

%description -n %libname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

This contains a shared library that can be used by programs to convert
PSION files.

%package -n %develname
Group: Development/C
Summary: PSION 5(MX) file format data conversion library
Requires: %libname = %version
Provides: libpsiconv-devel = %version-%release
Obsoletes: %{_lib}psiconv6-devel < 0.9.8-17

%description -n %develname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

Install this if you want to compile an application that uses psiconv
to convert PSION files.

%prep
%autosetup -p1

# assure use of system getopt
rm -f compat/getopt.{c,h} 

%build
%configure --disable-static
%make_build

%install
%make_install
%multiarch_binaries %buildroot%_bindir/psiconv-config
rm -rf %buildroot%_datadir/psiconv/xhtml %buildroot%{_libdir}/*.la

%files
%doc TODO README NEWS AUTHORS ChangeLog
%dir %_sysconfdir/psiconv/
%config(noreplace) %_sysconfdir/psiconv/*
%_bindir/%name
%_mandir/man1/%name.1*
%_datadir/%name

%files -n %libname
%_libdir/libpsiconv.so.%{major}
%_libdir/libpsiconv.so.%{major}.*

%files -n %develname
%_libdir/libpsiconv.so
%_includedir/%name
%_bindir/psiconv-config
%multiarch_bindir/psiconv-config
%_mandir/man1/psiconv-config.1*
%_mandir/man5/psiconv.conf.5*


%changelog
* Mon May 26 2025 ns80 <ns80> 0.9.9-6.mga10
+ Revision: 2186496
- try to fix building with GCC 15 by using system getopt

* Thu Mar 31 2022 umeabot <umeabot> 0.9.9-5.mga9
+ Revision: 1836773
- Mageia 9 Mass Rebuild

* Fri Jul 03 2020 joequant <joequant> 0.9.9-4.mga8
+ Revision: 1601748
- bump
- add patch
- update to gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.9.9-3.mga8
+ Revision: 1516176
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-2.mga7
+ Revision: 1300391
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 0.9.9-1.mga7
+ Revision: 1218721
- Update to version 0.9.9

* Sun Jan 21 2018 wally <wally> 0.9.8-28.mga7
+ Revision: 1195340
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 0.9.8-27.mga7
+ Revision: 1185829
- rebuild for new imagemagick

* Sat May 27 2017 shlomif <shlomif> 0.9.8-26.mga6
+ Revision: 1105201
- rebuild for new imagemagick

* Wed Feb 03 2016 umeabot <umeabot> 0.9.8-25.mga6
+ Revision: 933825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-24.mga5
+ Revision: 738931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-23.mga5
+ Revision: 687813
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 fwang <fwang> 0.9.8-22.mga5
+ Revision: 586320
- rebuild for new imagemagick

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8-21.mga4
+ Revision: 524003
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 0.9.8-20.mga4
+ Revision: 429368
- lock libmajor

* Tue May 28 2013 fwang <fwang> 0.9.8-19.mga4
+ Revision: 429185
- rebuild for new imagemagick

* Sun Jan 13 2013 umeabot <umeabot> 0.9.8-19.mga3
+ Revision: 378280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.9.8-18.mga3
+ Revision: 330784
- rebuild for new imagemagick

* Sat Nov 26 2011 fwang <fwang> 0.9.8-17.mga3
+ Revision: 172002
- update devel package name
- drop .la file

* Fri Feb 25 2011 ennael <ennael> 0.9.8-16.mga1
+ Revision: 59141
- clean spec file
- imported package psiconv


* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 0.9.8-16mdv2011.0
+ Revision: 553567
- rebuild for new imagemagick

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 0.9.8-15mdv2010.1
+ Revision: 491142
- rebuild for new imagemagick

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 0.9.8-14mdv2010.1
+ Revision: 491132
- rebuild for new imagemagick

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.8-13mdv2010.0
+ Revision: 426786
- rebuild

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-12mdv2009.1
+ Revision: 312959
- lowercase ImageMagick

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.8-12mdv2009.0
+ Revision: 225101
- rebuild
- fix spacing at top of description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.9.8-11mdv2008.1
+ Revision: 165133
- rebuild for new libmagick

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.9.8-10mdv2008.1
+ Revision: 140737
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.8-10mdv2008.0
+ Revision: 24905
- Rebuild with new libjasper.


* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-9mdv2007.0
+ Revision: 122350
- rebuild for new ImageMagick

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-8mdv2007.1
+ Revision: 103067
- Import psiconv

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-8mdv2007.1
- Rebuild

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 0.9.8-7mdv2007.0
- fix buildrequires
- rebuild for new Magick

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-6mdv2007.0
- Rebuild with latest dbus

* Fri Jun 09 2006 Götz Waschk <waschk@mandriva.org> 0.9.8-5mdk
- rebuild for new Magick

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 0.9.8-4mdk
- rebuild for new Magick

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdk
- rebuild for new Magick

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdk
- rebuild for new Magick
- use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdk
- drop patch
- new url
- New release 0.9.8

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-6mdk
- rebuilt against new Magick libs

* Tue Aug 16 2005 Marcel Pol <mpol@mandriva.org> 0.9.6-5mdk
- rebuild for new xorg

* Sat Aug 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-4mdk
- rebuilt against latest libMagick

* Sat Apr 02 2005 Nicolas Lécureuil <neoclust@mandrake.org> 0.9.6-3mdk
- rebuild

* Mon Jan 31 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- multiarch support

* Fri Sep 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- initial package

